org.apache.fop.fo

## Class FONode.GatherContextInfoFunction

- java.lang.Object
- - org.apache.fop.fo.FONode.GatherContextInfoFunction

All Implemented Interfaces:
  AdvancedMessageFormat.Function

Enclosing class:
  FONode

    public static class FONode.GatherContextInfoFunction
    extends Object
    implements AdvancedMessageFormat.Function

Function for AdvancedMessageFormat to retrieve context info from an FONode.

### Constructor Summary

Constructors
Constructor and Description
`GatherContextInfoFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `evaluate(Map params)`
`Object` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GatherContextInfoFunction

    public GatherContextInfoFunction()

### Method Detail

#### evaluate

    public Object evaluate(Map params)

Specified by:
  `evaluate` in interface `AdvancedMessageFormat.Function`

#### getName

    public Object getName()

Specified by:
  `getName` in interface `AdvancedMessageFormat.Function`